html, body{
    background-color: white;
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden;
}

header {

    text-align: center;
    display: flex;
    justify-content:space-between;
    align-items: center;

}

nav{
    align-items: center;
    display: flex;
    justify-content: space-between;
    width: 100%;
}
 
#logo{
    width: 100%;
    height: 150px;
    
}

.menu{
    width: 70%;
    font-size: x-large;
    list-style: none;
    display:flex;
    padding: 0px;
    align-items: center;
    justify-content:flex-end;
}

.option{
    text-align: center;
    position: relative;
}

.option::after{
    content: '▿';
    margin-left: 5px;
    display: inline-block;
    transition: transform 0.5s ease;
}
.option:hover::after{
    transform: rotate(180deg);
}



.sousOption{
    width: 100%;
    padding: 0;
    margin: 0;
    text-align: center;
    background-color: white;
    font-size: large;
    list-style: none;
    visibility: hidden;
    position: absolute;
    z-index: 1000;
    align-items: center;
    transform: translateY(-10px); 
    transition: opacity 0.5s ease, transform 0.5s ease;
    opacity: 0;
}

.option:hover .sousOption{
    transform: translateY(0); 
    visibility: visible;
    opacity: 1;
}

.sousOption li{
    padding-top: 10px;
    padding-bottom: 10px;
    width: 100%;
    border: 0.1px solid black;
}

.sousOption li a:hover{
    color: red;
}

.menu li{
    text-align: center;
    text-decoration: none;
    margin-right: 5%;
}

header a{
    text-decoration: none;
    color: black;
}

#mesrandonee{
    padding-top: 1%;
    color: black;
    border-bottom-right-radius: 5%;
    border-bottom-left-radius: 5%;
    padding-bottom: 5px;
}

#mesrandonee a{
    text-decoration: none;
    color: black;
}

#mesrandonee h3{
    margin: 0;
    margin-left: 1%;
}

#positionRando{
    display: flex;
    flex-wrap: wrap;
}
#topText{
    align-items: center;
    display: flex;
}
#topText p{
    margin-left: 10px;
}

.randonee{
    background: #F5F5F5;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    overflow: hidden;
    width: 250px;
    margin: 5px;
    text-align: center;
    color: black;
    padding-bottom: 10px;
}

.textInfo{
    list-style: none;
    position: absolute;       
    color: azure;
    margin-top: 0;
    top: 10%;                
    left: 5%;
    display: flex;  
    padding: 0;
}

.datePubl{
   font-size: small;
    margin-left: 65%;
    margin-bottom: 0;
}


.textInfo li{
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 3px;
    padding-bottom: 3px;
    border: 1px hidden gainsboro ;     
    margin-left: 10px;
}

#info11, #info12, #info13{
    background-color: red;
}

.container{
    position: relative;
    height: auto;
}

.randonee img {
    width: 100%;
    object-fit: cover;
    border-top-left-radius: 5%;
    border-top-right-radius: 5%;
}

.randonee a{
    border: 2px solid black;
    padding: 5px;
    border-radius: 20%;
    transition: background-color 0.5s ease;
}

.randonee a:hover{
    background-color: gainsboro;
}


footer{
    text-align: center;
    margin: 0;
    padding-bottom: 5px;
    padding-top: 2px;
    font-size: large;
    background-color: #2E8B57;
    color: white;
}

#footer-contenair{
    justify-content: center;
    display: flex;
}

.footer-section a{
    display: block;
    text-decoration: none;
    color: white;

}

.footer-section a:hover{
    text-decoration: underline;
}

#ligne-verticale{
    margin: 20px;
    width: 2px;
    height: 150px;
    background-color: gainsboro;
}

.logo-Resaux{
    vertical-align: middle;
    width: 30px;
    height: 30px;
}

@media (max-width: 768px){

    /*Header*/
    .menu{
        font-size:smaller;
    }

    #logo{
        height: 100px;
    }

    #topText{
        justify-content: space-between;
        padding-left: 3%;
        margin-right: 3%;
    }

    .textInfo{
        left: 0%;
    }

    .textInfo li{
        padding: 3%;
        margin-left: 2%;
    }
    
    .randonee{
        width: 47%;
        }

    
}